import 'package:origamicore/models/activator.dart';
import 'package:origamicore/models/serializedObject.dart';

class OdataResponse<T> extends SerializedObject
{
  List<T> value=<T>[];
  int count=0;
  OdataResponse({this.count,this.value});
  @override
  void fromJson(dynamic data)
  {  
    if(data['value']!=null) value=data['value'];       
    if(data['count']!=null) count=data['count'];  
  }
  @override
  dynamic toJson()
  { 
  	var data =<String,dynamic>{}; 
    if(data['value']!=null)value=data['value'].map<T>((e) => Activator.createInstance(T)..fromJson(e)).toList();
    data['count']=count;      
  	return data;
  }
}